/* Load an osm xml file from fn into layer ly; if ly is NULL, use or allocate
   layer using the file name */
int osm_oxml_load_into(osm_design_t *osm, const char *fn, osm_layer_t **ly);

/* Print the an object (anything between the <object></object> pair)
   in xml format to f. If changeset_id is not NULL, override object's
   own changeset (useful when generating a diff with local edits) */
void osm_oxml_fprint_obj(FILE *f, const char *ind, const osm_any_obj_t *obj, const osm_id_t *changeset_id);
